Subject: Re: [PATCH 17/19] bootwrapper: compatibility layer for old U-Boots (a.k.a. cuImage, cuboot)

From: Scott Wood <[email-masked]>
Date: Tue, 13 Mar 2007 13:01:02 -0600

Kumar Gala wrote:
> On Mar 13, 2007, at 1:16 PM, Scott Wood wrote:
>> On Mon, Mar 12, 2007 at 04:07:57PM -0500, Kumar Gala wrote:
>>> Why is linux,stdout-path needed by cuboot?
>>
>> It's used by serial.c to find the console, and the kernel requires  it as
>> well.  There's no information in the bd_t that would allow the
>> bootwrapper to generate this, so it has to come from the device tree.
>>
>> The only reason it's not required with dt-enabled u-boot is that u- boot
>> has it hardcoded in the board's config file.
> 
> I don't think we should put this into the .dts but, have code in the  
> wrapper that handles it.

How?  Any means I can think of would be uglier, more complex, and/or put 
information in the bootwrapper that it shouldn't have.

I think it belongs in the dts, anyway...  The default serial port is 
more a property of the board than a configuration issue (although it has 
aspects of both).  Any bootloader that wants to set a non-default serial 
port is welcome to overwrite the property.

-Scott